Bug 218603 - Optimizer produces wrong coding
Optimizer produces wrong coding
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc (Show other bugs)
5.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 200964
  Show dependency treegraph
 
Reported: 2006-12-06 08:26 EST by Oliver Stabel
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:25:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 27761 None None None Never

  None (edit)
Description Oliver Stabel 2006-12-06 08:26:01 EST
Description of problem:

gcc produces wrong coding when using -O2. The bug was alread reported some time
ago, but it seems it was not inclued in gcc for RHEL5.
Please see <http://gcc.gnu.org/bugzilla/show_bug.cgi?id=27761> for details (and
proposed diff)

Version-Release number of selected component (if applicable):
gcc-4.1.1-30
gcc-c++-4.1.1-30
Linux ls3108v1 2.6.18-1.2747.el5 #1 SMP Thu Nov 9 18:56:16 EST 2006 ia64 ia64
ia64 GNU/Linux
glibc-2.5-4

How reproducible:
Please see <http://gcc.gnu.org/bugzilla/show_bug.cgi?id=27761> for details (and
proposed diff)

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jakub Jelinek 2006-12-13 14:14:50 EST
Fixed in gcc-4.1.1-45 in rawhide, backported in 4.1.1-46.el5.
Comment 2 Jay Turner 2006-12-13 21:18:04 EST
QE ack for RHEL5.  We should be generating correct code.
Comment 4 RHEL Product and Program Management 2007-02-07 20:25:54 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.